/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/**General**/
.text-color{ color:#db2d2f;}

form.woocommerce-product-search input[type="search"] {
    border-radius: 50px;
}
.top_wishlist-heart.top_wishlist-.no-txt:before {
	font-size: 2em;
}
p.demo_store, .woocommerce-store-notice {
    padding: 0.5em;
}
.site-header-upper-inner-wrap.child-is-fixed .kadence-svg-iconset {
	color: #fff;
}
.site-header-upper-inner-wrap.child-is-fixed .top_wishlist-heart.top_wishlist-.no-txt:before {
	color: #fff;
}

.header-menu-container ul.menu>li.kadence-menu-mega-enabled>ul>li>a {
    font-weight: 600;
}

.drawer-inner .grid-lg-col-4 {
    grid-template-columns: 45% 45%;
}
.drawer-inner .grid-cols {
    column-gap: 1rem;
    row-gap: 1rem;
}
.drawer-inner h2 {
	font-size: 20px;
	font-weight: 400;
}

.woocommerce-MyAccount-navigation {
display:none;
}
.woocommerce-account .woocommerce-MyAccount-content {
    width: 100%;
}


.kt-inside-inner-col> .wp-block-cover {
    height: auto;
}

.header-navigation .header-menu-container ul ul.sub-menu, .header-navigation .header-menu-container ul ul.submenu {
     border-style: solid;
    border-color: transparent;
}

.dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
    width: 600px;
	border-radius:50px;
	height:50px;
}
.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit, .dgwt-wcas-om-bar .dgwt-wcas-om-return {
    background-color: #db2d2f;
    border-radius: 50px;
}

.dgwt-wcas-search-wrapp .dgwt-wcas-sf-wrapp .dgwt-wcas-search-submit::before{
	display:none;
}

/**footer css**/
.contact-info {
    max-width: 600px;
    margin: 0 auto;
}

.contact-info h3 {
    margin-bottom: 20px;
    font-size: 24px;
}

.contact-item {
    display: flex;
    align-items: center;
    margin: 15px 0;
}

.contact-item i {
    font-size: 20px;
    margin-right: 10px;
	color:#db2d2f;
}

.contact-item a {
    color: #fff;
    text-decoration: none;
}

.contact-item a:hover {
    text-decoration: underline;
}

.contact-item p {
    margin: 0;
}

.footer-logo{
	width:225px;
}



/**Hide coupon on the cart**/
div.coupon:not(.under-proceed) {
display: none !important;
}

p.coupon-message{
	margin-bottom:0px!important
}

.coupon-form {
    margin-top: 10px;
    margin-bottom: 20px;
}


.coupon-form form {
    display: flex;
    align-items: center;
}

.coupon-form form input[type="text"] {
    margin-right: 10px;
}

.coupon-form form button {
    flex-shrink: 0;
	    margin-left: -15px;
    border-radius: 0 6px 6px 0;
	color:#fff!important;
    height: 42.5px;

}

.coupon-form form button:hover {
	background-color:#e60909!important;
}
.toggle-button{
	font-weight:500;
    text-transform: uppercase;
    font-size: 18px;
}
.coupon-message{
	font-weight:500;
	text-transform:uppercase;
}

.coupon-form form button {
    flex-shrink: 0;
    line-height: 0;
    margin-left: -15px;
    border-radius: 0 6px 6px 0;
    color: #fff !important;
}

#payment #place_order {
	padding:15px 35px;
}

.woocommerce-checkout .add_gift_card_form #wc_gc_cart_redeem_form input[type="text"], .woocommerce-checkout .add_gift_card_form #wc_gc_cart_redeem_form button {
display: fex;
box-sizing: border-box;
}
.woocommerce-checkout .add_gift_card_form #wc_gc_cart_redeem_form input[type="text"], .woocommerce-checkout .add_gift_card_form #wc_gc_cart_redeem_form button {
width:100%;
}
.woocommerce-checkout .add_gift_card_form #wc_gc_cart_redeem_form button {
width: 30%;
padding:12px;
}


/**Fixing woo product list button wrap padding**/
.woocommerce ul.products li.product .product-action-wrap {
    margin-top: 1em;
    padding: 0 10px;
}
.woocommerce ul.products.woo-archive-btn-button .product-action-wrap .button:not(.kb-button), .woocommerce ul.products li.woo-archive-btn-button .button:not(.kb-button), .wc-block-grid__product.woo-archive-btn-button .product-details .wc-block-grid__product-add-to-cart .wp-block-button__link {
	padding:10px 35px;
}
@media (max-width: 768px) {
    .woocommerce ul.products.woo-archive-btn-button .product-action-wrap .button:not(.kb-button), 
    .woocommerce ul.products li.woo-archive-btn-button .button:not(.kb-button), 
    .wc-block-grid__product.woo-archive-btn-button .product-details .wc-block-grid__product-add-to-cart .wp-block-button__link {
        padding: 5px;
    }
}

.woocommerce ul.products li.product .price {
	font-weight:700;
	color:#db2d2f;
    font-size: 1.25em;
}
.woocommerce ul.products li.product h3, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product .woocommerce-loop-category__title {
    padding: 0.5rem 0;
    margin: 0;
    font-size: 1.1em;
    font-weight: 600;
}
/**Single Product**/
.kadence-cart-button-medium-large.woocommerce div.product .button.single_add_to_cart_button {
    height: 45px;
    line-height: 45px;
	font-size: 16px;}

.woocommerce div.product span.price, .woocommerce div.product p.price {
    font-size: 25px;
	font-weight:500;
	color:#db2d2f;
	font-family: "Barlow Condensed", Sans-serif;
}

/**Images**/
.woocommerce div.product div.images .flex-control-thumbs {
    overflow: hidden;
    zoom: 1;
    margin: 0;
    padding: 0;
    max-width: 100%;
    margin: 0;
    -webkit-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    margin-top: 5px;
    background: transparent;
    padding: 0;
    width: 100%;
    flex-wrap: wrap;
    display: inline-flex;
    justify-content: center;
    position: relative;
    left: 50%;
}

/**custom message single product**/
.custom-offer-message {
    margin-top: 15px;
    padding: 15px;
    background-color: #e9f5f1; 
    border-radius: 8px;
    font-size: 16px;
    text-align: center;
    color: #4CAF50;
    font-weight: bold;
    width: 100%;
    display: block;
    clear: both; 
}

.custom-offer-message p {
    margin: 5px 0;
    font-weight: normal; 
    color: #333;
}

/**Slider**/
/* Base state */
.elementor-34858 .elementor-element.elementor-element-03c5b42 .elementor-image-carousel-wrapper .elementor-image-carousel .swiper-slide-image {
    transition: border-color 0.3s ease, border-radius 0.3s ease; 
}

/* Hover state */
.elementor-34858 .elementor-element.elementor-element-03c5b42 .elementor-image-carousel-wrapper .elementor-image-carousel .swiper-slide-image:hover {
    border-style: solid;
    border-width: 2px;
    border-color: #f00606;
    border-radius: 100%;
}

/**Home page product tabs**/
@media (min-width: 768px) {
  .home-tab .elementor-tabs-wrapper {
 margin-bottom: 30px;
border-bottom: 1px solid #ddd;
		padding-bottom:10px;
    }
}

.home-tab .elementor-tab-title {
    position: relative;
    padding: 10px 25px;
    font-weight: 700;
    line-height: 1;
	background-color:#fff;
}

.home-tab .elementor-tab-title.elementor-active {
	background-color:#DB2D30;
	color:#fff!important;
}

.elementor-tab-title:hover {
	background-color:#000;
	color:#fff!important;
}

/**Mini cart styles**/
/* Style the button container to make it circular */
.header-cart-wrap .header-cart-button {
    background-color: #db2d2f; 
    padding: 10px!important;
    border-radius: 50%; 
    position: relative; 
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

/* Ensure the SVG icon inside is styled properly */
.header-cart-wrap .header-cart-button .kadence-svg-iconset svg {
    height: 1em;
    width: 1em;
    fill: #fff!important; 
	
}

/* Style the number badge (e.g., "0") */
.header-cart-wrap .header-cart-button .header-cart-total {
    position: absolute;
    top: -5px; 
    right: -10px; 
    background-color: #fff; 
    color: #000; 
    font-size: 0.8em; 
    font-weight: bold;
    height: 20px;
    width: 20px;
    border-radius: 50%; 
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); 
}

#cart-drawer.popup-drawer .drawer-header {
 background-color: #db2d2f;
	padding:10px 15px;
}

#cart-drawer h2.side-cart-header {
    font-size: 1em;
    color: #fff;
	text-transform:uppercase;
	font-weight:700;
}
.popup-drawer .drawer-header .drawer-toggle {
    width: 1.2em;
    position: relative;
    height: 1em;
    box-sizing: inherit;
    font-size: 24px;
    background: #fff;
}

/**My account header style**/
.header-account-button .nav-drop-title-wrap > .kadence-svg-iconset, .header-account-button > .kadence-svg-iconset {
 background-color: #db2d2f; 
	border-radius:100%;
padding:10px!important;
}
/**Tabs**/
.woocommerce div.product .woocommerce-tabs ul.tabs li a {
    display: inline-block;
    padding: 0.5em 1em;
    font-weight: bold;
    color: var(--global-palette5);
    text-decoration: none;
    font-size: 90%;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 20px;
	font-family: "Barlow Condensed";
}

/**Archive title**/
.archive-description h1{
	font-size: 40px;
}

/**Widget area**/
.primary-sidebar.widget-area .widget-title {
    font-weight: 500;
    font-size: 18px;
    line-height: 1.5;
	text-transform:uppercase;
    color: var(--global-palette3);
}
.widget li {
    line-height: 1.8;
    font-size: 17px;
}

.woocommerce ul.cart_list li a, .woocommerce ul.product_list_widget li a {
    display: block;
    font-weight: 500;
    color: inherit;
    text-decoration: none;
    font-size: 0.9em;
	text-transform:uppercase;
	font-family: "Barlow Condensed", Sans-serif;
}
.woocommerce-Price-amount {
	color:#db2d2f;
}

/**Center the products**/
.woocommerce ul.products li.product .entry-content-wrap {
	text-align: center;}

/**Cart page**/
.cart-collaterals{
    padding: 1.7em 2em 2em;
    border: 2px solid #000;
}


input[type=text], input[type=number], input[type=email], input[type=search], input[type=password], input[type=tel], input[type=url], textarea, textarea.form-control {
    border: 1px solid #e1e1e1;
    background-color: #fff;
    outline: none;
    border-radius: 0px;
    width: 100%;
    color: #000;
    font-size: 1.14rem;
    -webkit-box-shadow: none;
    box-shadow: none;
    text-align: start;
}
.woocommerce-cart #payment div.payment_box input.input-text, .woocommerce-cart #payment div.payment_box textarea, .woocommerce-checkout #payment div.payment_box input.input-text, .woocommerce-checkout #payment div.payment_box textarea, #add_payment_method #payment div.payment_box input.input-text, #add_payment_method #payment div.payment_box textarea {
    border-color: #e1e1e1!important;
    border-top-color: #e1e1e1!important;
    height: 42px!important;
}

.woocommerce-cart #payment div.payment_box .wc-credit-card-form-card-number, .woocommerce-cart #payment div.payment_box .wc-credit-card-form-card-expiry, .woocommerce-cart #payment div.payment_box .wc-credit-card-form-card-cvc, .woocommerce-checkout #payment div.payment_box .wc-credit-card-form-card-number, .woocommerce-checkout #payment div.payment_box .wc-credit-card-form-card-expiry, .woocommerce-checkout #payment div.payment_box .wc-credit-card-form-card-cvc, #add_payment_method #payment div.payment_box .wc-credit-card-form-card-number, #add_payment_method #payment div.payment_box .wc-credit-card-form-card-expiry, #add_payment_method #payment div.payment_box .wc-credit-card-form-card-cvc {
    font-size: .9em!important;
    padding: 8px;
    background-repeat: no-repeat;
    background-position: right 0.618em center;
    background-size: 32px 20px;
}

@media screen and (min-width: 1025px) {
    form.checkout .col2-set {
        float: left;
        width: 60%!important;
    }
    form.checkout .woocommerce-checkout-review-order {
    padding: 1.7em 2em 2em;
      border: 2px solid #000;
      width: 40%;
      border-top: 0px!important;
}

form.checkout #order_review_heading {
        width: 40%;
        margin: 0 ;
        border: 2px solid #000;
        border-bottom: 0px!important;
        padding-top: 15px!important;
    }
}